Page MenuHomePhabricator

Don't let users pick "whatever.git" as a repository short name, make "." work
ClosedPublic

Authored by epriestley on Nov 21 2016, 11:46 PM.
Tags
None
Referenced Files
F11164389: D16908.id40699.diff
Wed, Sep 28, 1:24 PM
Unknown Object (File)
Tue, Sep 27, 4:54 AM
Unknown Object (File)
Wed, Sep 14, 6:10 AM
Unknown Object (File)
Sun, Sep 11, 12:14 PM
Unknown Object (File)
Fri, Sep 2, 6:09 PM
Unknown Object (File)
Aug 26 2022, 6:42 AM
Unknown Object (File)
Aug 13 2022, 8:58 PM
Unknown Object (File)
Aug 11 2022, 4:15 PM
Subscribers
None

Details

Summary

Fixes T11902.

  • Periods now work in short names.
  • If you try to name something ".git", no dice.
Test Plan
  • Tried to name something "quack.git", was politely rejected.
  • Named something "quack.notgit", and it worked fine.
  • Cloned Mercurial and Git repositories over SSH with ".git" and non-".git" variants without hitting any issues.

Diff Detail

Repository
rP Phabricator
Branch
deambig1
Lint
Lint Passed
Unit
Tests Passed
Build Status
Buildable 14592
Build 19047: Run Core Tests
Build 19046: arc lint + arc unit

Event Timeline

epriestley retitled this revision from to Don't let users pick "whatever.git" as a repository short name, make "." work.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: chad.
chad edited edge metadata.
This revision is now accepted and ready to land.Nov 21 2016, 11:46 PM
src/applications/repository/storage/PhabricatorRepository.php
596–597

I couldn't figure out what this was talking about after some probing, so I think we're fine. SSH clones with Mercurial definitely work. Possibly we haven't seen the end of this.

This revision was automatically updated to reflect the committed changes.